﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.OleDb;
namespace prj_CustomColumnGrouping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            BindTDB();
            c1TrueDBGrid1.GroupByAreaVisible = true;
            c1TrueDBGrid1.DataView = C1.Win.C1TrueDBGrid.DataViewEnum.GroupBy;
            c1TrueDBGrid1.Columns["Fees"].GroupInfo.Interval = C1.Win.C1TrueDBGrid.GroupIntervalEnum.Custom;
            c1TrueDBGrid1.Columns["Fees"].NumberFormat = "Currency";
            c1TrueDBGrid1.Columns["Fees"].GroupInfo.ColumnVisible = true;
            c1TrueDBGrid1.GroupInterval += C1TrueDBGrid1_GroupInterval;
        }
        private void C1TrueDBGrid1_GroupInterval(object sender, C1.Win.C1TrueDBGrid.GroupIntervalEventArgs e)
        {
            int value = ((int)this.c1TrueDBGrid1[e.Row, e.Col.DataColumn.DataField]);
            if(value>0 && value<1000)
            {
                e.Value = "Basic bill";
            }
            else if(value>=1000 && value<5000)
            {
                e.Value = "Intermediate bill";
            }
            else if(value>=5000)
            {
                e.Value = "Expensive bill ";
            }
        }      
        private void BindTDB()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Fees", typeof(int));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(25, "Indocin", "David", 1200, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 1100, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 1000, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 9200, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 5200, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 7200, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 2300, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 9700, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 1100, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 100, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 120, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 1800, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 11200, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 1230, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 1560, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 7630, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 1270, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 1910, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 780, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 980, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 1120, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 5620, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 7630, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 1280, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 1290, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 3200, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 3400, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 8200, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 9100, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 100, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 120, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 820, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 200, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 100, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 1290, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 2200, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 4200, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 2270, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 67, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 2300, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 1250, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 1870, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 1980, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 3210, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 4290, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 9810, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 120, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 200, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 120, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 1500, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 1800, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 1900, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 2100, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 120, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 8200, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 5200, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 2200, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 1200, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 7200, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 9200, DateTime.Now);
            table.Rows.Add(25, "Indocin", "David", 90, DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", 500, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", 800, DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", 1290, DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", 7600, DateTime.Now);

            c1TrueDBGrid1.DataSource = table;
        }
    }
}
